﻿CREATE VIEW [dbo].[vwCustomerOrderSummary]
AS
SELECT   c.CustomerID,
         c.FirstName,
         c.LastName,
         ISNULL(SUM(oh.OrderTotal), 0) AS OrderTotal
FROM     dbo.Customer AS c
         LEFT OUTER JOIN
         dbo.OrderHeader AS oh
         ON c.CustomerID = oh.CustomerID
GROUP BY c.CustomerID, c.FirstName, c.LastName